{"templateId":"markdown","versions":[{"version":"shipengine","label":"ShipStation API (formerly ShipEngine)","link":"/apis/shipengine/docs/ltl/list-service-levels","default":false,"active":true,"folderId":"58c9a61d"},{"version":"shipstation-v2","label":"ShipStation V2 API","link":"/apis/shipstation-v2/docs/ltl/list-service-levels","default":true,"active":false,"folderId":"58c9a61d"},{"version":"shipstation-v1","label":"ShipStation V1 API","link":"/apis/shipstation-v1/docs/ltl/list-service-levels","default":false,"active":false,"folderId":"58c9a61d"}],"sharedDataIds":{},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"List Services","keywords":"shipping, labels, shipstation, documentation, api","siteUrl":"https://docs.shipstation.com","lang":"en-US","llmstxt":{"hide":false,"title":"ShipStation API LLM Docs","description":"Find links and references to all markdown documentation for use with LLMs","excludeFiles":["apis/@shipengine/docs/ltl/**"]},"meta":[{"name":"robots","content":"noindex, nofollow"}]},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"list-services","__idx":0},"children":["List Services"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this endpoint to retrieve a list of service levels offered by a particular carrier. Service levels include things like standard delivery and guaranteed end of day delivery."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"requirements","__idx":1},"children":["Requirements"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The unique ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["carrier_id"]}," for the LTL carrier. This ID represents your connection with a specific carrier and it is generated and returned when you ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/shipengine/docs/ltl/connect-carrier#example-response"},"children":["connect a carrier account"]},"."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You may also retrieve carrier connection information including the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["carrier_id"]}," from our ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/shipengine/docs/ltl/list-carriers"},"children":["List Connected Carriers"]}," endpoint."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"response-body","__idx":2},"children":["Response Body"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The response object returned from successful requests to this endpoint will contain a list of services offered by a carrier. Each service will contain the parameters from the below table:"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Name"},"children":["Name"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"center","data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["code"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"em","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"center"},"children":["✔"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The code for the type of service offered by the carrier."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["features"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["list"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"center"},"children":["✔"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["This is a list of which endpoints where these accessorial services may be used."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["name"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"em","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"center"},"children":["✔"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The name or short description of the service."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"example-request--response","__idx":3},"children":["Example Request & Response"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["GET /v-beta/ltl/carriers/:carrier_id/services"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"GET /v-beta/ltl/carriers/car_NJuhsfkKkuxChJNtX6X5kJKKY7/services HTTP/1.1\nHost: api.shipengine.com\nAPI-Key: __YOUR_API_KEY_HERE__\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example response:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n    \"services\": [\n        {\n            \"code\": \"gtd_am\",\n            \"features\": [\n                \"quote\",\n                \"spot_quote\",\n                \"scheduled_pickup\"\n            ],\n            \"name\": \"Guaranteed Morning\"\n        },\n        {\n            \"code\": \"gtd_noon\",\n            \"features\": [\n                \"quote\",\n                \"spot_quote\",\n                \"scheduled_pickup\"\n            ],\n            \"name\": \"Guaranteed Noon\"\n        },\n        {\n            \"code\": \"gtd_pm\",\n            \"features\": [\n                \"quote\",\n                \"spot_quote\",\n                \"scheduled_pickup\"\n            ],\n            \"name\": \"Guaranteed End of Day\"\n        },\n        {\n            \"code\": \"stnd\",\n            \"features\": [\n                \"quote\",\n                \"spot_quote\",\n                \"scheduled_pickup\"\n            ],\n            \"name\": \"Standard\"\n        }\n    ]\n}\n","lang":"json"},"children":[]}]},"headings":[{"value":"List Services","id":"list-services","depth":1},{"value":"Requirements","id":"requirements","depth":2},{"value":"Response Body","id":"response-body","depth":2},{"value":"Example Request & Response","id":"example-request--response","depth":2}],"frontmatter":{"excludeFromSearch":true,"seo":{"meta":[{"name":"robots","content":"noindex, nofollow"}],"title":"List Services"}},"lastModified":"2026-11-13T19:18:17.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/apis/shipengine/docs/ltl/list-service-levels","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}